<?php

namespace App\Http\Controllers;

use App\Models\Study;
use App\Services\Pacs\OrthancRestClient;
use App\Services\Pacs\StudyImporter;

class PacsController extends Controller
{
    public function index()
    {
        $studies = Study::where('is_active', true)
            ->orderBy('study_date', 'desc')
            ->paginate(15);

        return view('pacs.studies', compact('studies'));
    }

    public function show($id)
    {
        $study = (new OrthancRestClient)->getStudy($id);

        return view('pacs.study', compact('study'));
    }

    public function import()
    {
        $svc = (new StudyImporter);
        $svc->scanStudies();
        $svc->filterStudies();
        $svc->importStudies();

        return redirect()->route('studies.index');
    }
}
