<?php

namespace App\Models;

use App\Models\Enums\ReportStatus;
use App\Models\Enums\StudyLevelStatus;
use Illuminate\Database\Eloquent\Relations\HasMany;
use Illuminate\Database\Eloquent\Relations\HasOne;

class Study extends BaseModel
{
    protected $casts = [
        'is_locked' => 'boolean',
        'is_active' => 'boolean',
        'study_status' => StudyLevelStatus::class,
        'report_status' => ReportStatus::class,
    ];

    public function history(): HasOne
    {
        return $this->hasOne(StudyHistory::class);
    }

    public function attachments(): HasMany
    {
        return $this->hasMany(StudyAttachment::class);
    }

    public function reports(): HasMany
    {
        return $this->hasMany(StudyReport::class);
    }
}
