<?php

namespace App\Services\Pacs;

use Carbon\Carbon;

final class DicomUtils
{
    public static function dateToCarbon(?string $datePart, string $timezone = 'UTC'): ?Carbon
    {
        if ($datePart === null) {
            return null;
        }

        return Carbon::createFromFormat('Ymd', $datePart, $timezone);
    }

    public static function dateTimeToCarbon(?string $datePart, ?string $timePart, string $timezone = 'UTC'): ?Carbon
    {
        if ($datePart === null || $timePart === null) {
            return null;
        }

        return Carbon::createFromFormat('YmdHis.u', $datePart.$timePart, $timezone);
    }
}
