<?php

use App\Models\Enums\StudyRequestStatus;
use App\Models\Study;
use App\Models\User;
use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::create('study_delete_requests', function (Blueprint $table) {
            $table->id();
            $table->foreignIdFor(Study::class)->unique()->constrained()->cascadeOnDelete();
            $table->foreignIdFor(User::class, 'requesting_user_id')->index()->constrained()->cascadeOnDelete();
            $table->foreignIdFor(User::class, 'performing_user_id')->index()->nullable()->constrained()->nullOnDelete();
            $table->unsignedTinyInteger('status')->default(StudyRequestStatus::Pending->value);
            $table->timestamps();

            $table->index(['status', 'created_at']);
        });
    }

    public function down(): void
    {
        Schema::dropIfExists('study_delete_requests');
    }
};
