<?php

namespace Database\Seeders;

use App\Models\Enums\NameMatchModes;
use App\Models\Institute;
use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;

class InstituteSeeder extends Seeder
{
    public function run(): void
    {
        Institute::create([
            'name' => 'Catch-all',
            'is_active' => true,
        ]);
        $chev = Institute::create([
            'name' => 'Chevron',
            'is_active' => true,
        ]);
        $srini = Institute::create([
            'name' => 'Srinivasa',
            'is_active' => true,
        ]);
        Institute::create([
            'name' => 'Dummy Site',
            'is_active' => false,
        ]);

        DB::table('institute_names')->insert([
            'name' => 'CHEVRON CLINICAL LABORATORY , PANCHLAISH,CTG',
            'institute_id' => $chev->id,
            'match_mode' => NameMatchModes::Exact->value,
        ]);
        DB::table('institute_names')->insert([
            'name' => 'CHEVRON CLINICAL',
            'institute_id' => $chev->id,
            'match_mode' => NameMatchModes::StartsWith->value,
        ]);
    }
}
