<?php

namespace Database\Seeders;

use App\Models\Enums\UserRole;
use App\Models\Institute;
use App\Models\User;
use Illuminate\Database\Seeder;

class UserSeeder extends Seeder
{
    public function run(): void
    {
        // User::factory(10)->create();

        User::factory()->create([
            'name' => 'Administrator',
            'username' => 'admin',
            'email' => 'test@example.com',
            'role' => UserRole::Admin->value,
        ]);

        $chevron = Institute::where('name', 'Chevron')->first();
        $srini = Institute::where('name', 'Srinivasa')->first();

        User::factory(2)->create([
            'institute_id' => $chevron->id,
            'role' => UserRole::Technician->value,
        ]);

        User::factory(2)->create([
            'institute_id' => $srini->id,
            'role' => UserRole::Technician->value,
        ]);
    }
}
